classification
Title: Document and test new socket options
Type: Stage: needs patch
Components: Documentation, Tests Versions: Python 3.3
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, haypo
Priority: normal Keywords: patch

Created on 2011-10-24 11:46 by haypo, last changed 2013-01-03 02:52 by haypo. This issue is now closed.

Files
File name Uploaded Description Edit
socket_options_doc.patch haypo, 2011-10-25 12:32 review
Messages (4)
msg146294 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-10-24 11:46
The commit c64216addd7f for issue #6560 added various socket option, but some of them are not well documented or tested.

Authentication:
 * SO_PASSCRED, SO_PEERCRED, LOCAL_PEERCRED
 * SCM_RIGHTS, SCM_CREDENTIALS, SCM_CREDS

SCTP:
 * socket.IPPROTO_SCTP is not mentioned in socket.socket() doc (but it's tested)

etc.
msg146295 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-10-24 11:48
Another issue: the "version added" tag is not used, it's not possible to know that socket.SO_PEERCRED was added in Python 3.3.
msg146361 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-10-25 11:46
For #12619, I added socket.SO_BINDTODEVICE constant.
msg178908 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-01-03 02:52
I created this issue for myself (as a reminder), but sorry I'm not really motivated to work on the documentation, nor test. Document socket options is not trivial because the exact definition depends on the platform.

I close the issue.
History
Date User Action Args
2017-08-12 05:23:44martin.panterlinkissue1732367 dependencies
2013-01-03 02:52:18hayposetstatus: open -> closed
resolution: wont fix
messages: + msg178908
2011-10-25 12:32:20hayposetfiles: + socket_options_doc.patch
keywords: + patch
2011-10-25 11:46:42hayposetmessages: + msg146361
2011-10-24 18:01:43pitrousetversions: + Python 3.3
nosy: + docs@python

assignee: docs@python
components: + Documentation, Tests
stage: needs patch
2011-10-24 11:48:21hayposetmessages: + msg146295
2011-10-24 11:46:15haypocreate